import { Component, OnInit, ViewEncapsulation,ViewChild } from '@angular/core';
import { extend } from '@syncfusion/ej2-base';

import { EventSettingsModel,ScheduleComponent,
   DayService, WeekService, WorkWeekService, MonthService, GroupModel, AgendaService, DragAndDropService, ResizeService } from '@syncfusion/ej2-angular-schedule';
   import { resourceData } from './data';

@Component({
  selector: 'app-root',
  templateUrl: 'app.component.html',
  providers: [DayService, WeekService, WorkWeekService, MonthService, AgendaService,DragAndDropService,ResizeService ],
  encapsulation: ViewEncapsulation.None
})

export class AppComponent implements OnInit {
   @ViewChild('scheduleObj')
  public scheduleObj: ScheduleComponent;
  public eventSettings: EventSettingsModel = { dataSource: <Object[]>extend([], resourceData, null, true) };
  public selectedDate: Date;
  public group: GroupModel = {
    resources: ['Projects', 'Categories']
};
public projectDataSource: Object[] = [
    { text: 'PROJECT 1', id: 1, color: '#cb6bb2' },
    { text: 'PROJECT 2', id: 2, color: '#56ca85' },
    { text: 'PROJECT 3', id: 3, color: '#df5286' }
];
public categoryDataSource: Object[] = [
    { text: 'Nancy', id: 1, groupId: 1, color: '#df5286' },
    { text: 'Steven', id: 2, groupId: 1, color: '#7fa900' },
    { text: 'Robert', id: 3, groupId: 2, color: '#ea7a57' },
    { text: 'Smith', id: 4, groupId: 2, color: '#5978ee' },
    { text: 'Micheal', id: 5, groupId: 3, color: '#df5286' },
    { text: 'Root', id: 6, groupId: 3, color: '#00bdae' }
];
public allowMultiple: Boolean = true;
  ngOnInit(): void {
    this.selectedDate = new Date(2018, 3, 1);
  }
}